org.bouncycastle.crypto.params

## Class MLDSAParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.MLDSAParameters

-     public class MLDSAParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MLDSAParameters` | `ml_dsa_44`
    `static MLDSAParameters` | `ml_dsa_44_with_sha512`
    `static MLDSAParameters` | `ml_dsa_65`
    `static MLDSAParameters` | `ml_dsa_65_with_sha512`
    `static MLDSAParameters` | `ml_dsa_87`
    `static MLDSAParameters` | `ml_dsa_87_with_sha512`
    `static int` | `TYPE_PURE`
    `static int` | `TYPE_SHA2_512`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getK()`
    `java.lang.String` | `getName()`
    `int` | `getType()`
    `boolean` | `isPreHash()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PURE

          public static final int TYPE_PURE

      See Also:
        Constant Field Values

    - #### TYPE_SHA2_512

          public static final int TYPE_SHA2_512

      See Also:
        Constant Field Values

    - #### ml_dsa_44

          public static final MLDSAParameters ml_dsa_44

    - #### ml_dsa_65

          public static final MLDSAParameters ml_dsa_65

    - #### ml_dsa_87

          public static final MLDSAParameters ml_dsa_87

    - #### ml_dsa_44_with_sha512

          public static final MLDSAParameters ml_dsa_44_with_sha512

    - #### ml_dsa_65_with_sha512

          public static final MLDSAParameters ml_dsa_65_with_sha512

    - #### ml_dsa_87_with_sha512

          public static final MLDSAParameters ml_dsa_87_with_sha512

  - ### Method Detail

    - #### isPreHash

          public boolean isPreHash()

    - #### getType

          public int getType()

    - #### getK

          public int getK()

    - #### getName

          public java.lang.String getName()